FROM golang:latest

ENV PORT=$GO_PORT
ENV DB_NAME=$POSTGRES_DB
ENV DB_USER=$POSTGRES_USER
ENV DB_PASSWORD=$POSTGRES_PASSWORD

RUN apt update && apt -y install \
      postgresql-client

RUN mkdir -p /app/scripts

COPY . /app
COPY docker/go_backend_files/start_go_server.sh /app
COPY docker/go_backend_files/create_tables.sql /app/scripts

WORKDIR /app

RUN go build backend.go

CMD ["/app/start_go_server.sh"]
